<div [ngClass]="['home-page', jds.mb(100)]">
  <!-- Banner -->
  <app-home-banner />

  <div [ngClass]="jds.container">
    <!-- Carousel Topic -->
    <app-home-carousel-topic />

    <div [ngClass]="jds.row">
      <div [ngClass]="[jds.col(3), jds.offset(1)]">
        <h5 [ngClass]="jds.mb(20)">Statistik Satu Data</h5>

        <!-- Statistic -->
        <app-home-statistic />
      </div>

      <div [ngClass]="[jds.col(7)]">
        <h5 [ngClass]="jds.mb(20)">Trending Data</h5>

        <!-- Tab Trending -->
        <app-home-tab-trending />

        <!-- List Trending -->
        @switch (vm.filterCatalog()) {
          @case ('dataset') {
            <!-- List Trending Dataset -->
            <app-home-list-trending-dataset />
          }
          @case ('visualization') {
            <!-- List Trending Visualization -->
            <app-home-list-trending-visualization />
          }
          @case ('topic') {
            <!-- List Trending Topic -->
            <app-home-list-trending-topic />
          }
          @case ('organization') {
            <!-- List Trending Organization -->
            <app-home-list-trending-organization />
          }
        }
      </div>
    </div>
  </div>
</div>

<app-modal-survey />
